Eliminar páginas web
curl --request POST \
--url https://api.hubapi.com/cms/pages/2026-03/site-pages/batch/archive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '{
"inputs": [
"<string>"
]
}'import requests
url = "https://api.hubapi.com/cms/pages/2026-03/site-pages/batch/archive"
payload = "{\n \"inputs\": [\n \"<string>\"\n ]\n}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: '{\n "inputs": [\n "<string>"\n ]\n}'
};
fetch('https://api.hubapi.com/cms/pages/2026-03/site-pages/batch/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Lote
Delete website pages
Elimina un lote de páginas web como se especifica en el cuerpo de la solicitud. Ten en cuenta que esto no es lo mismo que la función archive del panel. Para realizar un archive del panel, envía una actualización normal con el campo archivedInDashboard definido como true.
POST
/
cms
/
pages
/
2026-03
/
site-pages
/
batch
/
archive
Eliminar páginas web
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Scopes1
content
Cuerpo
*/*
Cadenas que se introducirán.
Respuesta
No content
Última modificación el 6 de octubre de 2026